org.eclipse.pde.ui.launcher

## Class MainTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.pde.ui.launcher.AbstractLauncherTab
    - - org.eclipse.pde.ui.launcher.MainTab

All Implemented Interfaces:
  IPrototypeAttributesLabelProvider, ILaunchConfigurationTab, ILaunchConfigurationTab2, IPDELauncherConstants

Direct Known Subclasses:
  PluginJUnitMainTab

    public class MainTab
    extends AbstractLauncherTab
    implements IPDELauncherConstants, IPDELauncherConstants

A launch configuration tab that displays and edits the main launching arguments of an Eclipse application.

This class may be instantiated. This class is not intended to be subclassed by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

Fields
`protected org.eclipse.pde.internal.ui.launcher.WorkspaceDataBlock` `fDataBlock`
`protected org.eclipse.pde.internal.ui.launcher.JREBlock` `fJreBlock`
`protected org.eclipse.pde.internal.ui.launcher.ProgramBlock` `fProgramBlock`

### Fields inherited from interface org.eclipse.pde.launching.IPDELauncherConstants

`ADDITIONAL_PLUGINS, APP_TO_TEST, APPLICATION, ASKCLEAR, AUTOMATIC_ADD, AUTOMATIC_VALIDATE, BOOTSTRAP_ENTRIES, CONFIG_CLEAR_AREA, CONFIG_GENERATE_DEFAULT, CONFIG_LOCATION, CONFIG_TEMPLATE_LOCATION, CONFIG_USE_DEFAULT_AREA, DEFAULT_AUTO_START, DEFAULT_START_LEVEL, DEFINED_TARGET, DESELECTED_WORKSPACE_PLUGINS, DOCLEAR, ECLIPSE_APPLICATION_LAUNCH_CONFIGURATION_TYPE, FEATURE_DEFAULT_LOCATION, FEATURE_PLUGIN_RESOLUTION, GENERATE_PROFILE, INCLUDE_OPTIONAL, LOCATION, LOCATION_DEFAULT, LOCATION_EXTERNAL, LOCATION_WORKSPACE, OSGI_CONFIGURATION_TYPE, OSGI_FRAMEWORK_ID, PRODUCT, PRODUCT_FILE, RUN_IN_UI_THREAD, SELECTED_FEATURES, SELECTED_TARGET_PLUGINS, SELECTED_WORKSPACE_PLUGINS, SHOW_SELECTED_ONLY, TAB_BUNDLES_ID, TAB_CONFIGURATION_ID, TAB_MAIN_ID, TAB_OSGI_SETTINGS_ID, TAB_PLUGIN_JUNIT_MAIN_ID, TAB_PLUGINS_ID, TAB_TEST_ID, TAB_TRACING_ID, TARGET_BUNDLES, TRACING, TRACING_CHECKED, TRACING_NONE, TRACING_OPTIONS, TRACING_SELECTED_PLUGIN, USE_CUSTOM_FEATURES, USE_DEFAULT, USE_PRODUCT, USEFEATURES, VMINSTALL, WORKSPACE_BUNDLES`

### Constructor Summary

Constructors
Constructor and Description
`MainTab()` Contructor to create a new main tab

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyData(Object data)` Applies the given data to this page.
`void` `createControl(Composite parent)`
`protected void` `createJREBlock()` Creates the Java Runtime Environment group on the tab
`protected void` `createProgramBlock()` Creates the Program To Run group on the tab
`protected void` `createWorkspaceDataBlock()` Creates the Workspace Data group on the tab
`void` `dispose()`
`String` `getId()`
`Image` `getImage()`
`String` `getName()`
`protected void` `initializeAttributes()`
`void` `initializeFrom(ILaunchConfiguration config)`
`void` `performApply(ILaunchConfigurationWorkingCopy config)`
`void` `setDefaults(ILaunchConfigurationWorkingCopy config)`
`void` `validateTab()` Validates the data entered on the tab.

### Methods inherited from class org.eclipse.pde.ui.launcher.AbstractLauncherTab

`activated, createStartingSpace, deactivated, isValid, scheduleUpdateJob, updateLaunchConfigurationDialog`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Field Detail

#### fDataBlock

    protected org.eclipse.pde.internal.ui.launcher.WorkspaceDataBlock fDataBlock

#### fProgramBlock

    protected org.eclipse.pde.internal.ui.launcher.ProgramBlock fProgramBlock

#### fJreBlock

    protected org.eclipse.pde.internal.ui.launcher.JREBlock fJreBlock

### Constructor Detail

#### MainTab

    public MainTab()

Contructor to create a new main tab

### Method Detail

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `AbstractLaunchConfigurationTab`

#### createControl

    public void createControl(Composite parent)

Specified by:
  `createControl` in interface `ILaunchConfigurationTab`

#### applyData

    public void applyData(Object data)

Applies the given data to this page.

Parameters:
  `data` - the data to apply
Since:
  3.7
Restriction:
  This method is not intended to be referenced by clients.

#### initializeFrom

    public void initializeFrom(ILaunchConfiguration config)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`

#### setDefaults

    public void setDefaults(ILaunchConfigurationWorkingCopy config)

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTab`

#### performApply

    public void performApply(ILaunchConfigurationWorkingCopy config)

Specified by:
  `performApply` in interface `ILaunchConfigurationTab`

#### getName

    public String getName()

Specified by:
  `getName` in interface `ILaunchConfigurationTab`

#### getImage

    public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

#### createWorkspaceDataBlock

    protected void createWorkspaceDataBlock()

Creates the Workspace Data group on the tab

#### createProgramBlock

    protected void createProgramBlock()

Creates the Program To Run group on the tab

#### createJREBlock

    protected void createJREBlock()

Creates the Java Runtime Environment group on the tab

Since:
  3.4

#### validateTab

    public void validateTab()

Description copied from class: `AbstractLauncherTab`
Validates the data entered on the tab.

Specified by:
  `validateTab` in class `AbstractLauncherTab`

#### getId

    public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`

#### initializeAttributes

    protected void initializeAttributes()

Overrides:
  `initializeAttributes` in class `AbstractLaunchConfigurationTab`